BadIDException
Keywords: javax.help.BadIDException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class BadIDException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      javax.help.BadIDException

All Implemented Interfaces:
  java.io.Serializable

public class BadIDException
extends java.lang.IllegalArgumentException

An ID was attempted to be created with incorrect arguments

See Also:
  Serialized Form

Constructor Summary
`BadIDException(java.lang.String msg, Map map, java.lang.String id, HelpSet hs)` Create the exception.

Method Summary
`HelpSet` | `getHelpSet()` The HelpSet that wasn't found in the Map
`java.lang.String` | `getID()` The ID that wasn't found in the Map
`Map` | `getMap()` The HelpSet in which the ID wasn't found

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadIDException

    public BadIDException(java.lang.String msg,
                          Map map,
                          java.lang.String id,
                          HelpSet hs)

  Create the exception. Null values are allowed for each parameter.

Parameters:
  `map` - The Map in which the ID wasn't found
  `msg` - A generic message
  `id` - The ID in Map that wasn't found
See Also:
  `Map`

Method Detail

### getMap

    public Map getMap()

  The HelpSet in which the ID wasn't found

### getID

    public java.lang.String getID()

  The ID that wasn't found in the Map

### getHelpSet

    public HelpSet getHelpSet()

  The HelpSet that wasn't found in the Map

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD